<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
echo "<title>Личный смайл</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n.cp \t{ border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Личный смайл</div>";
$login = autorize();
$sound =  $login['sound'] ;
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/prikaz.wav\">";
}
switch ( $mod )
{
case "s1" :
echo "<form enctype=\"multipart/form-data\" action=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}\" method=\"post\">";
echo "Прикрепить личный смайл:<br/>";
echo "<input name=\"file\" type=\"file\" size=\"20\"><br/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"load\"/>";
echo "<input type=\"submit\" value=\"Отправить\" class=\"cp\">";
echo "</form>";
break;
case "load" :
if ( empty( $file ) )
{
echo "Вы не указали файл!<br/>";
break;
}
else
{
$size = @filesize( @$file );
$par = @getimagesize( @$file );
if ( $par[2] !== 1 )
{
echo "Указанный вами файл не является Gif-файлом!<br/>";
break;
}
else
{
if ( 10240 < $size )
{
echo "Слишком большой размер файла!<br/>";
break;
}
else
{
if ( 100 < $par[0] || 100 < $par[1] )
{
echo "Неправильное разрешение смайла!<br/>";
break;
}
else
{
$smile = "s".$id.".gif";
if ( file_exists( "prsm/{$smile}" ) )
{
unlink( "prsm/{$smile}" );
}
if ( !copy( $file, "prsm/{$smile}" ) )
{
echo "failed to copy file...<br/>";
break;
}
else
{
echo "Ваш личный смайл успешно добавлен!<br/>";
echo "Чтобы его рисовать напишите <b>.my.</b><br/>";
break;
}
}
}
}
}
default :
$smile = "s".$id.".gif";
echo "<p align=\"center\"><b>{$row['login']}</b><br/>";
if ( file_exists( "prsm/{$smile}" ) )
{
echo "<img src=\"prsm/{$smile}\" alt=\"smile\"/><br/>";
}
echo "Загружаемый личн.смайл обязательно должен быть в формате <u>Gif</u>, разрешением не более <u>100x100</u> и размером не более <u>10кб</u>. Если вы хотите заменить свой личн.смайл то просто загрузите новый, а старый автоматически удалится.</p>";
echo "<a href=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}&amp;mod=s1\">Загрузить</a><br/>";
break;
}
echo "---<br/>";
if ( isset( $mod ) )
{
echo "<a href=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}\">назад</a><br/>";
}
$end = gettime( );
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a>\r\n<p align=\"center\">[".round( $end - $mystart, 5 )."]</p>\r\n</body></html>";
mysql_close( $link );
?>